System.ServiceModel 4.0.0.0 System.ServiceModel.ServiceHostBase

Implements the host used by the indigo1 service model programming model.

Use the class to configure and expose a service for use by client applications when you are not using Internet Information Services (IIS) or Windows Activation Services (WAS) to expose a service. Both IIS and WAS interact with a object on your behalf.

To expose a service for use by callers, indigo2 requires a complete service description (represented by the class). The class creates a from the service type and configuration information and then uses that description to create objects for each endpoint in the description.

Use a object to load a service, configure endpoints, apply security settings, and start listeners to handle incoming requests.

Provides a host for services.

- Constructor
  4.0.0.0

  There are two constructors used to create an instance of the class. Use the constructor which takes the service type as an input parameter, most of the time. The host can use this to create new services as needed. Use the constructor instead only when you want the service host to use a specific singleton instance of the service.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  System.ParamArray
  To be added.

  Use this constructor as an alternative to implementing a custom when you want to provide a specific object instance for use by a singleton service. You may want to use this overload when your service implementation type is difficult to construct (for example, if it does not implement a default public constructor that has no parameters).

  Note that when an object is provided to this overload, some features related to the indigo1 instancing behavior work differently. For example, calling have no effect when a well-known object instance is provided using this constructor overload. Similarly, any other instance release mechanism is ignored. The always behaves as if the property is set to for all operations.

  Initializes a new instance of the class with the instance of the service and its base addresses specified.

  An of type that contains the base addresses for the hosted service.
- Constructor
  4.0.0.0
  System.ParamArray

  Use this constructor when you have the service type and you can create new instances of it when needed, even when you need a singleton instance. Use the constructor instead only when you want the service host to use a specific singleton instance of the service.

  Initializes a new instance of the class with the type of service and its base addresses specified.

  The type of hosted service.
  An array of type that contains the base addresses for the hosted service.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` `` `` To be added.

  Adds a service endpoint to the hosted service with a specified contract, binding, and endpoint address.

  The added to the hosted service.

  The of contract for the endpoint added. The for the endpoint added. The address for the endpoint added.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` `` `` To be added.

  Adds a service endpoint to the hosted service with a specified contract, binding, and URI that contains the endpoint address.

  The added to the hosted service.

  The of contract for the endpoint added. The for the endpoint added. The that contains the address for the endpoint added.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` `` `` ``

  Use this version of the method when you have multiple endpoints that need to listen on the same, specified URI.

  Adds a service endpoint to the hosted service with a specified contract, binding, an endpoint address, and a URI on which the service listens.

  The added to the hosted service.

  The of contract for the endpoint added. The for the endpoint added. The endpoint address for the service. The on which the service endpoints can listen.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint `` `` `` ``

  Use this version of the method when you have multiple endpoints that need to listen on the same, specified URI.

  Adds a service endpoint to the hosted service with a specified contract, binding, a URI that contains the endpoint address, and a URI on which the service listens.

  The added to the hosted service.

  The of contract for the endpoint added. The for the endpoint added. The that contains the address for the endpoint added. The on which the service endpoints can listen.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceDescription `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Initializes a description of the service hosted based on its instance and specified base addresses.

  The that contains the base addresses for the hosted service.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Initializes a description of the service hosted based on its type and specified base addresses.

  The of service hosted. The that contains the base addresses for the hosted service.
- Property
  4.0.0.0
  System.Object To be added.

  Use the constructor to initialize a singleton instance of the service to be hosted when you want to control the instance of the service that is used.

  Gets the singleton instance of the hosted service.